apiVersion: v1
kind: Secret
metadata:
  name: {{ template "viking-service.admin-secret-name" . }}
  labels:
    app.kubernetes.io/name: {{ template "viking-service.name" . }}
    helm.sh/chart: {{ template "viking-service.chart" . }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    viking.uplex.de/secret: admin
type: Opaque
data:
  admin: {{ required "vikingService.secrets.admin must be non-empty" .Values.vikingService.secrets.admin | b64enc | quote }}
  dataplaneapi: {{ required "vikingService.secrets.dataplaneapi must be non-empty" .Values.vikingService.secrets.dataplaneapi | b64enc | quote }}
